Subject: Re: [linuxppc-release] [PATCH] powerpc: introduce basic support for the Freescale P1022DS reference board

From: Olof Johansson <[email-masked]>
Date: Tue, 29 Jun 2010 21:24:40 -0500

On Tue, Jun 29, 2010 at 06:16:08PM -0700, Tabi Timur-B04825 wrote:
> Olof Johansson wrote:
> > Sure, the family-defconfigs are supposed to be supersets that can boot
> > everywhere. If you're concerned about static kernel size you can always
> > enable it as modules instead.
> 
> It just seems wrong to add full support for audio and video in the kernel, 
> when it can be used only on one, relatively obscure chip.  Video support 
> would need to be in-kernel only in order to get the console working, and I 
> suspect that core ALSA support would need to be in-kernel as well.

See the text you quoted from me above, it applies at a reply to this as well.

-Olof